#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './FPSDialog.ui'
**
** Created: Sat Jan 19 12:46:54 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "FPSDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a FPSDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
FPSDialog::FPSDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FPSDialog" );
    setSizeGripEnabled( TRUE );
    FPSDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "FPSDialogLayout"); 

    buttonGroupFPS = new QButtonGroup( this, "buttonGroupFPS" );
    buttonGroupFPS->setColumnLayout(0, Qt::Vertical );
    buttonGroupFPS->layout()->setSpacing( 6 );
    buttonGroupFPS->layout()->setMargin( 11 );
    buttonGroupFPSLayout = new QGridLayout( buttonGroupFPS->layout() );
    buttonGroupFPSLayout->setAlignment( Qt::AlignTop );

    radioButtonPALNTSC = new QRadioButton( buttonGroupFPS, "radioButtonPALNTSC" );

    buttonGroupFPSLayout->addWidget( radioButtonPALNTSC, 0, 0 );

    radioButtonNTSCPAL = new QRadioButton( buttonGroupFPS, "radioButtonNTSCPAL" );

    buttonGroupFPSLayout->addWidget( radioButtonNTSCPAL, 1, 0 );

    radioButtonOff = new QRadioButton( buttonGroupFPS, "radioButtonOff" );

    buttonGroupFPSLayout->addWidget( radioButtonOff, 2, 0 );

    FPSDialogLayout->addWidget( buttonGroupFPS, 1, 0 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    comboBoxFPS = new QComboBox( FALSE, this, "comboBoxFPS" );
    layout1->addWidget( comboBoxFPS );

    FPSDialogLayout->addLayout( layout1, 0, 0 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout2->addWidget( buttonOk );
    Horizontal_Spacing2 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( Horizontal_Spacing2 );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    layout2->addWidget( buttonCancel );

    FPSDialogLayout->addLayout( layout2, 2, 0 );
    languageChange();
    resize( QSize(289, 236).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FPSDialog::~FPSDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FPSDialog::languageChange()
{
    setCaption( tr2i18n( "Frames per second" ) );
    buttonGroupFPS->setTitle( tr2i18n( "Filter -J fps" ) );
    radioButtonPALNTSC->setText( tr2i18n( "fps=25:29.97 PAL -> NTSC" ) );
    radioButtonNTSCPAL->setText( tr2i18n( "fps=29.97:25 NTSC -> PAL" ) );
    radioButtonOff->setText( tr2i18n( "Off" ) );
    textLabel1->setText( tr2i18n( "export frames per second" ) );
    comboBoxFPS->clear();
    comboBoxFPS->insertItem( QString::null );
    comboBoxFPS->insertItem( tr2i18n( "23.976" ) );
    comboBoxFPS->insertItem( tr2i18n( "24" ) );
    comboBoxFPS->insertItem( tr2i18n( "25" ) );
    comboBoxFPS->insertItem( tr2i18n( "29.970" ) );
    comboBoxFPS->insertItem( tr2i18n( "30" ) );
    comboBoxFPS->insertItem( tr2i18n( "50" ) );
    comboBoxFPS->insertItem( tr2i18n( "59.940" ) );
    comboBoxFPS->insertItem( tr2i18n( "60" ) );
    comboBoxFPS->insertItem( tr2i18n( "1" ) );
    comboBoxFPS->insertItem( tr2i18n( "5" ) );
    comboBoxFPS->insertItem( tr2i18n( "10" ) );
    comboBoxFPS->insertItem( tr2i18n( "12" ) );
    comboBoxFPS->insertItem( tr2i18n( "15" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
}

#include "FPSDialog.moc"
