/***************************************************************************
                          aspectratioclass.h  -  description
                             -------------------
    begin                : Son Nov 16 2003
    copyright            : (C) 2003 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ASPECTRATIOCLASS_H
#define ASPECTRATIOCLASS_H

#include <qwidget.h>
#include <aspectratiodlg.h>

/**Dialog for entering the aspect ratio: import, export, keep
 *@author Cornelius Klbel
 */

class AspectRatioClass : public aspectRatioDlg  {
  Q_OBJECT
    public: 
  AspectRatioClass(QWidget *parent=0, const char *name=0);
  ~AspectRatioClass();
  struct aspectData {
    bool keepASR;
    int importRatio;
    int exportRatio;
  };
  /** sets the data in the dialog */
  void setData(aspectData s);
  /** gets the data from the dialog */
  void getData(aspectData &s);
  
};

#endif
