/***************************************************************************
                          bummerclass.h  -  description
                             -------------------
    begin                : Don Sep 11 2003
    copyright            : (C) 2003 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BUMMERCLASS_H
#define BUMMERCLASS_H

#include <qwidget.h>
#include <bummerdlg.h>

/**Special Info Window with checkbox
 *@author Cornelius Klbel
 */

class BummerClass : public BummerDlg  {
  Q_OBJECT
    public: 
  BummerClass(QWidget *parent=0, const char *name=0);
  ~BummerClass();
  /** Sets the information Text */
  void setText(QString s);
  /** Returns if the checkbox is checked */
  bool getChecked();
};

#endif
