/***************************************************************************
                          cdrwclass.h  -  description
                             -------------------
    begin                : Fre Apr 11 2003
    copyright            : (C) 2003 by Cornelius K�bel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 

#ifndef CDRWCLASS_H
#define CDRWCLASS_H
#include <klocale.h>
#include <qwidget.h>
#include "procbaseclass.h"

/**The Class that blanks the CDRW
 *@author Cornelius K�bel
 */

class CDRWclass : public ProcBaseClass  {
  Q_OBJECT
    public: 
  CDRWclass(QWidget *parent=0, const char *name=0);
  ~CDRWclass();
  public slots: // Public slots
    /** Overload of ProcBaseClass. Plots the output */
    void slotReadFromStdout(KProcess * proc, char * buffer, int buflen);
    void slotReadFromStderr(KProcess * proc, char * buffer, int buflen);
  private slots: // Private slots
    /** Called when the process exited. */
    void slotFinished();
};

#endif
