#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './directorymodedlg.ui'
**
** Created: Sat Jan 19 12:46:23 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "directorymodedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DirectoryModeDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DirectoryModeDlg::DirectoryModeDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DirectoryModeDlg" );
    DirectoryModeDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "DirectoryModeDlgLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );

    DirectoryModeDlgLayout->addWidget( textLabel1, 1, 0 );

    LineEditFilename = new QLineEdit( this, "LineEditFilename" );
    LineEditFilename->setEnabled( TRUE );
    LineEditFilename->setEdited( FALSE );
    LineEditFilename->setReadOnly( TRUE );

    DirectoryModeDlgLayout->addMultiCellWidget( LineEditFilename, 1, 1, 1, 2 );

    CheckBoxDirMode = new QCheckBox( this, "CheckBoxDirMode" );

    DirectoryModeDlgLayout->addMultiCellWidget( CheckBoxDirMode, 0, 0, 0, 2 );

    ButtonGroupDir = new QButtonGroup( this, "ButtonGroupDir" );
    ButtonGroupDir->setColumnLayout(0, Qt::Vertical );
    ButtonGroupDir->layout()->setSpacing( 6 );
    ButtonGroupDir->layout()->setMargin( 11 );
    ButtonGroupDirLayout = new QGridLayout( ButtonGroupDir->layout() );
    ButtonGroupDirLayout->setAlignment( Qt::AlignTop );

    textLabel1_2 = new QLabel( ButtonGroupDir, "textLabel1_2" );
    textLabel1_2->setPaletteBackgroundColor( QColor( 247, 244, 184 ) );

    ButtonGroupDirLayout->addWidget( textLabel1_2, 1, 1 );
    spacer4 = new QSpacerItem( 31, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    ButtonGroupDirLayout->addItem( spacer4, 3, 0 );

    RadioButtonImport = new QRadioButton( ButtonGroupDir, "RadioButtonImport" );

    ButtonGroupDirLayout->addMultiCellWidget( RadioButtonImport, 0, 0, 0, 1 );

    CheckBoxNoSplit = new QCheckBox( ButtonGroupDir, "CheckBoxNoSplit" );

    ButtonGroupDirLayout->addWidget( CheckBoxNoSplit, 5, 1 );
    spacer3 = new QSpacerItem( 31, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    ButtonGroupDirLayout->addItem( spacer3, 1, 0 );

    RadioButtonOption = new QRadioButton( ButtonGroupDir, "RadioButtonOption" );
    RadioButtonOption->setChecked( TRUE );

    ButtonGroupDirLayout->addMultiCellWidget( RadioButtonOption, 2, 2, 0, 1 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel2 = new QLabel( ButtonGroupDir, "textLabel2" );
    layout1->addWidget( textLabel2 );

    LineEditBasename = new QLineEdit( ButtonGroupDir, "LineEditBasename" );
    LineEditBasename->setEnabled( TRUE );
    layout1->addWidget( LineEditBasename );

    ButtonGroupDirLayout->addLayout( layout1, 4, 1 );

    textLabel2_2 = new QLabel( ButtonGroupDir, "textLabel2_2" );
    textLabel2_2->setPaletteBackgroundColor( QColor( 247, 244, 184 ) );

    ButtonGroupDirLayout->addWidget( textLabel2_2, 3, 1 );

    DirectoryModeDlgLayout->addMultiCellWidget( ButtonGroupDir, 2, 2, 0, 2 );

    pushButtonOK = new QPushButton( this, "pushButtonOK" );

    DirectoryModeDlgLayout->addWidget( pushButtonOK, 3, 0 );

    pushButtonCancel = new QPushButton( this, "pushButtonCancel" );

    DirectoryModeDlgLayout->addWidget( pushButtonCancel, 3, 2 );
    languageChange();
    resize( QSize(359, 303).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButtonCancel, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( pushButtonOK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CheckBoxDirMode, SIGNAL( clicked() ), this, SLOT( slotCheckDirMode() ) );
    connect( RadioButtonImport, SIGNAL( clicked() ), this, SLOT( slotRadio() ) );
    connect( RadioButtonOption, SIGNAL( clicked() ), this, SLOT( slotRadio() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DirectoryModeDlg::~DirectoryModeDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DirectoryModeDlg::languageChange()
{
    setCaption( tr2i18n( "Directory Mode" ) );
    textLabel1->setText( tr2i18n( "chosen filename" ) );
    LineEditFilename->setText( tr2i18n( "dfgdfgd" ) );
    CheckBoxDirMode->setText( tr2i18n( "use Directory mode" ) );
    ButtonGroupDir->setTitle( QString::null );
    textLabel1_2->setText( tr2i18n( "This is only valid for VOB and DV files." ) );
    RadioButtonImport->setText( tr2i18n( "import supported directory mode" ) );
    CheckBoxNoSplit->setText( tr2i18n( "no split" ) );
    RadioButtonOption->setText( tr2i18n( "option supported directory mode" ) );
    textLabel2->setText( tr2i18n( "basename" ) );
    textLabel2_2->setText( tr2i18n( "This is valid for all other files" ) );
    pushButtonOK->setText( tr2i18n( "OK" ) );
    pushButtonCancel->setText( tr2i18n( "Cancel" ) );
}

void DirectoryModeDlg::slotCheckDirMode()
{
    qWarning( "DirectoryModeDlg::slotCheckDirMode(): Not implemented yet" );
}

void DirectoryModeDlg::slotRadio()
{
    qWarning( "DirectoryModeDlg::slotRadio(): Not implemented yet" );
}

#include "directorymodedlg.moc"
