/***************************************************************************
                          filetypeclass.cpp  -  description
                             -------------------
    begin                : Mit Sep 10 2003
    copyright            : (C) 2003 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "filetypeclass.h"
#include <qregexp.h>

FileTypeClass::FileTypeClass(){
}
FileTypeClass::~FileTypeClass(){
}
/** determines the filetype of the file */
int FileTypeClass::fileType(QString f){
  // No success using the file command.
  // Looking for the extension.
  QRegExp rx1( "(AVI$|avi$)" );
  if (rx1.search(f)>0) return AVI;
  QRegExp rx2( "(MPEG$|mpeg$|MPG$|mpg$|m2v$|m1v$)");
  if (rx2.search(f)>0) return MPG;
  return -1;
}

