//
// C++ Implementation: fpsclass
//
// Description: 
//
//
// Author: cornelius koelbel <cornelius.koelbel@gmx.de>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "fpsclass.h"
#include <qcombobox.h>
#include <qradiobutton.h>

FPSClass::FPSClass(QWidget *parent, const char *name)
 : FPSDialog(parent, name)
{
}


FPSClass::~FPSClass()
{
}

/** sets the data in the dialog */
void FPSClass::setData(fpsData s){
  comboBoxFPS->setCurrentText(s.exportFPS);
  if (s.jFilter==PALNTSC) radioButtonPALNTSC->setChecked(true);
  else { 
  	if (s.jFilter==NTSCPAL)radioButtonNTSCPAL->setChecked(true);
	else radioButtonOff->setChecked(true);	
	}
}
/** gets the data from the dialog */
void FPSClass::getData(fpsData &s){
  s.exportFPS=comboBoxFPS->currentText();
  if (radioButtonPALNTSC->isChecked()) {
  	s.jFilter=PALNTSC;
  }else if (radioButtonNTSCPAL->isChecked()){
  	s.jFilter=NTSCPAL;
  }else s.jFilter=OFF;
}

#include "fpsclass.moc"
