//
// C++ Interface: fpsclass
//
// Description: 
//
//
// Author: cornelius koelbel <cornelius.koelbel@gmx.de>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef FPSCLASS_H
#define FPSCLASS_H

#include "FPSDialog.h"

/**
@author cornelius koelbel
*/
class FPSClass : public FPSDialog
{
Q_OBJECT
public:
    FPSClass(QWidget *parent = 0, const char *name = 0);

    ~FPSClass();
    enum jFilterType { PALNTSC, NTSCPAL, OFF };
    
  struct fpsData {
    QString exportFPS;
    jFilterType	jFilter;
  };
    /** sets the data in the dialog */
  void setData(fpsData s);
  /** gets the data from the dialog */
  void getData(fpsData &s);
};

#endif
