/***************************************************************************
                          initclass.h  -  description
                             -------------------
    begin                : Mon Sep 23 2002
    copyright            : (C) 2002 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INITCLASS_H
#define INITCLASS_H

#include <klocale.h>
#include <qobject.h>
#include <qprocess.h>

/**
 *@author Cornelius Klbel
 */

class InitClass : public QObject  {
  Q_OBJECT
    public: 
  InitClass();
  ~InitClass();
  /** berprft, ob das Executable vorhanden ist. */
  bool checkExec(QString sExec);
  /** LIefert die Ausgabe des whereis-Befehls zurck. */
  QString getAusgabe();
 private: // Private methods
  /** Prozess. */
  QProcess* myProc;
  /** Ausgabe von whereis */
  QString myAusgabe;
  private slots: // Private slots
    /** Wird bei der Ausgabe aufgerufen */
    void slotReadFromStdout();
  public slots: // Public slots
    /** Returns the lib path of transcode */
    bool getTranscodeLib();
};

#endif
