/***************************************************************************
                          interlaceclass.cpp  -  description
                             -------------------
    begin                : Fre Aug 1 2003
    copyright            : (C) 2003 by Cornelius K�bel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "interlaceclass.h"
#include <qbuttongroup.h>

InterlaceClass::InterlaceClass(QWidget *parent, const char *name ) : InterlaceDlg(parent,name) {
	myEncode=0;
}
InterlaceClass::~InterlaceClass(){
}
/** set the interlaceing */
void InterlaceClass::setInterlacing(int i){
  myInterlace=i;
  buttonGroupInterlace->setButton( i);
}
void InterlaceClass::setEncoding(int e){
  myEncode=e;
  buttonGroupEncode->setButton(e);
}
/** gets the interlacing */
int InterlaceClass::getInterlacing(){
  return myInterlace;
}
QString InterlaceClass::getStringEncoding(int i){
  // progressive, top , bottom
  if ((i>0) && (i<3)) {
  	QString Encoding[3]={ ("p"),("t"),("b")};
  	return Encoding[i];
  }else{
	return "p";
  }
}
int InterlaceClass::getEncoding(){
  return myEncode;
}
/** which button was clicked */
void InterlaceClass::slotChangeButton(int i){
  myInterlace=i;
}
/** which button was clicked */
void InterlaceClass::slotChangeEncode(int i){
  myEncode=i;
}
