/***************************************************************************
                          interlaceclass.h  -  description
                             -------------------
    begin                : Fre Aug 1 2003
    copyright            : (C) 2003 by Cornelius K�bel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INTERLACECLASS_H
#define INTERLACECLASS_H

#include <qwidget.h>
#include "interlacedlg.h"

/**
 *@author Cornelius K�bel
 */

class InterlaceClass : public InterlaceDlg  {
  Q_OBJECT
    public: 
  InterlaceClass(QWidget *parent=0, const char *name=0);
  ~InterlaceClass();
  /** gets the interlacing */
  int getInterlacing();
  static QString getStringEncoding(int i);
  int getEncoding();
 private: // Private attributes
  /** what interlacing */
  int myInterlace;
  int myEncode;
  public slots: // Public slots
    /** set the interlaceing */
    void setInterlacing(int i);
    void setEncoding(int e);
  private slots: // Private slots
    /** which button was clicked */
    void slotChangeButton(int i);
    void slotChangeEncode(int i);
};

#endif
