#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './interlacedlg.ui'
**
** Created: Sat Jan 19 12:46:24 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "interlacedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./interlacedlg.ui.h"

/*
 *  Constructs a InterlaceDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
InterlaceDlg::InterlaceDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "InterlaceDlg" );
    InterlaceDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "InterlaceDlgLayout"); 

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    buttonGroupInterlace = new QButtonGroup( this, "buttonGroupInterlace" );
    buttonGroupInterlace->setColumnLayout(0, Qt::Vertical );
    buttonGroupInterlace->layout()->setSpacing( 6 );
    buttonGroupInterlace->layout()->setMargin( 11 );
    buttonGroupInterlaceLayout = new QGridLayout( buttonGroupInterlace->layout() );
    buttonGroupInterlaceLayout->setAlignment( Qt::AlignTop );

    radioButton0 = new QRadioButton( buttonGroupInterlace, "radioButton0" );
    buttonGroupInterlace->insert( radioButton0, 0 );

    buttonGroupInterlaceLayout->addWidget( radioButton0, 0, 0 );

    radioButton3 = new QRadioButton( buttonGroupInterlace, "radioButton3" );
    buttonGroupInterlace->insert( radioButton3, 3 );

    buttonGroupInterlaceLayout->addWidget( radioButton3, 3, 0 );

    radioButton2 = new QRadioButton( buttonGroupInterlace, "radioButton2" );
    buttonGroupInterlace->insert( radioButton2, 2 );

    buttonGroupInterlaceLayout->addWidget( radioButton2, 2, 0 );

    radioButton5 = new QRadioButton( buttonGroupInterlace, "radioButton5" );
    buttonGroupInterlace->insert( radioButton5, 5 );

    buttonGroupInterlaceLayout->addWidget( radioButton5, 5, 0 );

    radioButton4 = new QRadioButton( buttonGroupInterlace, "radioButton4" );
    buttonGroupInterlace->insert( radioButton4, 4 );

    buttonGroupInterlaceLayout->addWidget( radioButton4, 4, 0 );

    radioButton1 = new QRadioButton( buttonGroupInterlace, "radioButton1" );
    buttonGroupInterlace->insert( radioButton1, 1 );

    buttonGroupInterlaceLayout->addWidget( radioButton1, 1, 0 );
    layout3->addWidget( buttonGroupInterlace );

    buttonGroupEncode = new QButtonGroup( this, "buttonGroupEncode" );
    buttonGroupEncode->setColumnLayout(0, Qt::Vertical );
    buttonGroupEncode->layout()->setSpacing( 6 );
    buttonGroupEncode->layout()->setMargin( 11 );
    buttonGroupEncodeLayout = new QGridLayout( buttonGroupEncode->layout() );
    buttonGroupEncodeLayout->setAlignment( Qt::AlignTop );

    radioButton7 = new QRadioButton( buttonGroupEncode, "radioButton7" );

    buttonGroupEncodeLayout->addWidget( radioButton7, 0, 0 );

    radioButton9 = new QRadioButton( buttonGroupEncode, "radioButton9" );
    buttonGroupEncode->insert( radioButton9, 2 );

    buttonGroupEncodeLayout->addWidget( radioButton9, 2, 0 );

    radioButton8 = new QRadioButton( buttonGroupEncode, "radioButton8" );
    buttonGroupEncode->insert( radioButton8, 1 );

    buttonGroupEncodeLayout->addWidget( radioButton8, 1, 0 );
    layout3->addWidget( buttonGroupEncode );

    InterlaceDlgLayout->addLayout( layout3, 0, 0 );

    layout24 = new QHBoxLayout( 0, 0, 6, "layout24"); 

    pushButtonOK = new QPushButton( this, "pushButtonOK" );
    layout24->addWidget( pushButtonOK );

    pushButtonCacnel = new QPushButton( this, "pushButtonCacnel" );
    layout24->addWidget( pushButtonCacnel );

    InterlaceDlgLayout->addLayout( layout24, 1, 0 );
    languageChange();
    resize( QSize(486, 264).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButtonCacnel, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( buttonGroupInterlace, SIGNAL( clicked(int) ), this, SLOT( slotChangeButton(int) ) );
    connect( pushButtonOK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonGroupEncode, SIGNAL( clicked(int) ), this, SLOT( slotChangeEncode(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
InterlaceDlg::~InterlaceDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void InterlaceDlg::languageChange()
{
    setCaption( tr2i18n( "Interlace" ) );
    buttonGroupInterlace->setTitle( tr2i18n( "handle Interlacing (-I)" ) );
    radioButton0->setText( tr2i18n( "none" ) );
    radioButton3->setText( tr2i18n( "3: zoom to full frame" ) );
    radioButton2->setText( tr2i18n( "2: handled by encoder" ) );
    radioButton5->setText( tr2i18n( "5: interpolate scanlines / blend frames" ) );
    radioButton4->setText( tr2i18n( "4: drop field / half height" ) );
    radioButton1->setText( tr2i18n( "1: interpolate scanlines" ) );
    buttonGroupEncode->setTitle( tr2i18n( "encode fields" ) );
    radioButton7->setText( tr2i18n( "progressive (p) (default)" ) );
    radioButton9->setText( tr2i18n( "bottom field first (b)" ) );
    QToolTip::add( radioButton9, tr2i18n( "This is used with camcorders and german dvd" ) );
    radioButton8->setText( tr2i18n( "top field first (t)" ) );
    pushButtonOK->setText( tr2i18n( "OK" ) );
    pushButtonCacnel->setText( tr2i18n( "Cancel" ) );
}

#include "interlacedlg.moc"
