/***************************************************************************
                          logclass.cpp  -  description
                             -------------------
    begin                : Don Aug 21 2003
    copyright            : (C) 2003 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "logclass.h"

LogClass::LogClass(){
}
LogClass::~LogClass(){
}
/** Sets the filename of the log file. */
int LogClass::setFileName(QString s){
  myFileName=s;
  myFile.setName(myFileName);
  return 1;
}
/** Returns true if the logfile exists */
bool LogClass::fileExists(){
  return myFile.exists();
}
/** write the log text */
int LogClass::slotLog(QString logtext){
  if ( !myFileName.isEmpty() ) {
    if (	myFile.open(IO_WriteOnly | IO_Append) ) {
      QTextStream ts( &myFile );
      ts << logtext;
      myFile.close();
      return 1;
    } else {
      // error
      return 0;
    }
  }else { // Filename empty!
    return -1;
  }
}
