#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './scripteditDlg.ui'
**
** Created: Sat Jan 19 12:46:45 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "scripteditDlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

static const char* const img0_scripteditDlg[] = { 
"32 32 7 1",
". c None",
"e c #000000",
"# c #0000ff",
"d c #303030",
"b c #808000",
"c c #ffff00",
"a c #ffffff",
"................................",
"................................",
"......##..#....#.#..............",
"......##..#....#.#..............",
".....###..#...#..#..............",
".....#.#..##..#..#..............",
"....##.#...#..#.#...............",
"....#..##..####.#...............",
"...######...##..#...............",
"..##....#...##..#...............",
"................................",
"................................",
"................................",
".........a....b.....b..bb.bbb...",
".........aa...bb....bbbb..b..b..",
"..aaaaaaaaaa...b...bbb....b...b.",
"..aaaaaaaaaaa..b...bb.....b...b.",
"..aaaaaaaaaa...bb.bbb.....b...b.",
".........aa.....b.b.b.....b...b.",
".........accccccbbbcbb....b..b..",
"......cccccccccccbbccbbbb.bbb...",
"....ccccccccccccccccccccccc.....",
"...cccccccccccdddcccccccccccc...",
"...ccccccccccdddddccccccccccc...",
"...cccccccccccccccccccccccccc...",
"....eccccccccccccccccccccccc....",
".....edddddccccccccccccccc......",
"..........dddddddddddd..........",
"................................",
"................................",
"................................",
"................................"};


/*
 *  Constructs a ScriptEditDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ScriptEditDlg::ScriptEditDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl ),
      image0( (const char **) img0_scripteditDlg )
{
    if ( !name )
	setName( "ScriptEditDlg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setIcon( image0 );
    ScriptEditDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "ScriptEditDlgLayout"); 

    PushButtonClose = new QPushButton( this, "PushButtonClose" );

    ScriptEditDlgLayout->addWidget( PushButtonClose, 1, 3 );

    PushButtonExec = new QPushButton( this, "PushButtonExec" );

    ScriptEditDlgLayout->addWidget( PushButtonExec, 1, 1 );

    PushButtonSave = new QPushButton( this, "PushButtonSave" );

    ScriptEditDlgLayout->addWidget( PushButtonSave, 1, 0 );

    TextEditScript = new QTextEdit( this, "TextEditScript" );
    TextEditScript->setReadOnly( FALSE );

    ScriptEditDlgLayout->addMultiCellWidget( TextEditScript, 0, 0, 0, 3 );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ScriptEditDlgLayout->addItem( Spacer1, 1, 2 );
    languageChange();
    resize( QSize(514, 386).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PushButtonClose, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( PushButtonSave, SIGNAL( clicked() ), this, SLOT( slotSave() ) );
    connect( PushButtonExec, SIGNAL( clicked() ), this, SLOT( slotExec() ) );
    connect( TextEditScript, SIGNAL( textChanged() ), this, SLOT( slotTextChanged() ) );

    // tab order
    setTabOrder( TextEditScript, PushButtonSave );
    setTabOrder( PushButtonSave, PushButtonExec );
    setTabOrder( PushButtonExec, PushButtonClose );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ScriptEditDlg::~ScriptEditDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ScriptEditDlg::languageChange()
{
    setCaption( tr2i18n( "Edit Script" ) );
    PushButtonClose->setText( tr2i18n( "&Close" ) );
    QToolTip::add( PushButtonClose, tr2i18n( "Do not execute the script." ) );
    PushButtonExec->setText( tr2i18n( "Execute" ) );
    PushButtonSave->setText( tr2i18n( "&Save" ) );
    QToolTip::add( PushButtonSave, tr2i18n( "You changed the script, please save it." ) );
    QToolTip::add( TextEditScript, tr2i18n( "This is the script, KAvi2svcd generated from your input data. If you change it, you can save it and also execute it at the command line." ) );
    QWhatsThis::add( TextEditScript, tr2i18n( "The template script is stored at /usr/bin/kavi2svcd-script. You can also run this template script, if you are willing to enter about ten parameters at the commandline. But you can also edit and change the script. Please give me a note ;-)" ) );
}

void ScriptEditDlg::slotTextChanged()
{
    qWarning( "ScriptEditDlg::slotTextChanged(): Not implemented yet" );
}

void ScriptEditDlg::slotExec()
{
    qWarning( "ScriptEditDlg::slotExec(): Not implemented yet" );
}

void ScriptEditDlg::slotOpen()
{
    qWarning( "ScriptEditDlg::slotOpen(): Not implemented yet" );
}

void ScriptEditDlg::slotSave()
{
    qWarning( "ScriptEditDlg::slotSave(): Not implemented yet" );
}

#include "scripteditDlg.moc"
