/***************************************************************************
                          askdlgclass.cpp  -  description
                             -------------------
    begin                : Fre Nov 28 2003
    copyright            : (C) 2003 by Cornelius K�bel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "askdlgclass.h"

AskDlgClass::AskDlgClass(QWidget *parent, const char *name ) : AskDlg(parent,name) {
}
AskDlgClass::~AskDlgClass(){
}
/** Start kavi2svcd in expert mode */
void AskDlgClass::slotExpert(){
  myMode=Kavi2svcd::EXPERT;
  this->accept();
}
/** Starts kavi2svcd in basic mode VCD */
void AskDlgClass::slotVCD(){
  myMode=Kavi2svcd::VCD;
  this->accept();
}
/** Starts kavi2svcd in basic mode SVCD */
void AskDlgClass::slotSVCD(){
  myMode=Kavi2svcd::SVCD;
  this->accept();
}
/** Returns the choosen mode */
Kavi2svcd::modeType AskDlgClass::mode(){
  return myMode;
}


/*!
    \fn AskDlgClass::slotDVD()
 */
void AskDlgClass::slotDVD()
{
  myMode=Kavi2svcd::DVD;
  this->accept();
}
