/***************************************************************************
                          askdlgclass.h  -  description
                             -------------------
    begin                : Fre Nov 28 2003
    copyright            : (C) 2003 by Cornelius K�bel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
x*   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ASKDLGCLASS_H
#define ASKDLGCLASS_H

#include <qwidget.h>
#include <qstring.h>
#include "askDlg.h"
#include "kavi2svcd.h"

/**This is a dialog, that ask the user at the beginning, how to start
 *@author Cornelius K�bel
 */

class AskDlgClass : public AskDlg  {
  Q_OBJECT
    public: 
  AskDlgClass(QWidget *parent=0, const char *name=0);
  ~AskDlgClass();
  /** Returns the choosen mode */
  Kavi2svcd::modeType mode();
 public: // Public attributes
  /** the choosen mode */
  Kavi2svcd::modeType myMode;
  protected slots: // Protected slots
    /** Starts kavi2svcd in basic mode SVCD */
    void slotSVCD();
  protected slots: // Protected slots
    /** Starts kavi2svcd in basic mode VCD */
    void slotVCD();
  protected slots: // Protected slots
    /** Start kavi2svcd in expert mode */
    void slotExpert();
protected slots:
    void slotDVD();
};

#endif
