/***************************************************************************
                          aspectratioclass.cpp  -  description
                             -------------------
    begin                : Son Nov 16 2003
    copyright            : (C) 2003 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "aspectratioclass.h"
#include <qcheckbox.h>
#include <qcombobox.h>

AspectRatioClass::AspectRatioClass(QWidget *parent, const char *name ) : aspectRatioDlg(parent,name) {
}
AspectRatioClass::~AspectRatioClass(){
}
/** sets the data in the dialog */
void AspectRatioClass::setData(aspectData s){
  checkBoxKeepASR->setChecked(s.keepASR);
  comboBoxExport->setCurrentItem(s.exportRatio);
  comboBoxImport->setCurrentItem(s.importRatio);
}
/** gets the data from the dialog */
void AspectRatioClass::getData(aspectData &s){
  s.keepASR=checkBoxKeepASR->isChecked();
  s.exportRatio=comboBoxExport->currentItem();
  s.importRatio=comboBoxImport->currentItem();
}
