#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './automatedlg.ui'
**
** Created: Sat Jan 19 12:46:21 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "automatedlg.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AutomateDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AutomateDlg::AutomateDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AutomateDlg" );
    AutomateDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "AutomateDlgLayout"); 

    checkBoxTranscode = new QCheckBox( this, "checkBoxTranscode" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxTranscode, 1, 1, 0, 2 );

    checkBoxVCD = new QCheckBox( this, "checkBoxVCD" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxVCD, 4, 4, 0, 2 );

    checkBoxCD = new QCheckBox( this, "checkBoxCD" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxCD, 8, 8, 0, 2 );

    puoushButtonExec = new QPushButton( this, "puoushButtonExec" );
    puoushButtonExec->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, puoushButtonExec->sizePolicy().hasHeightForWidth() ) );

    AutomateDlgLayout->addMultiCellWidget( puoushButtonExec, 10, 10, 0, 1 );

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setPaletteBackgroundColor( QColor( 247, 244, 184 ) );

    AutomateDlgLayout->addMultiCellWidget( textLabel3, 7, 7, 1, 3 );

    checkBoxMplexDelete = new QCheckBox( this, "checkBoxMplexDelete" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxMplexDelete, 3, 3, 1, 2 );

    checkBoxCDDelete = new QCheckBox( this, "checkBoxCDDelete" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxCDDelete, 9, 9, 1, 2 );

    checkBoxVCDDelete = new QCheckBox( this, "checkBoxVCDDelete" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxVCDDelete, 5, 5, 1, 3 );

    pushButtonCancel = new QPushButton( this, "pushButtonCancel" );

    AutomateDlgLayout->addWidget( pushButtonCancel, 10, 3 );
    spacer19 = new QSpacerItem( 240, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    AutomateDlgLayout->addItem( spacer19, 10, 2 );

    textLabel4 = new QLabel( this, "textLabel4" );
    textLabel4->setPaletteBackgroundColor( QColor( 247, 244, 184 ) );
    textLabel4->setScaledContents( TRUE );
    textLabel4->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    AutomateDlgLayout->addMultiCellWidget( textLabel4, 0, 0, 0, 3 );
    spacer16 = new QSpacerItem( 20, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    AutomateDlgLayout->addItem( spacer16, 3, 0 );
    spacer17 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    AutomateDlgLayout->addItem( spacer17, 5, 0 );
    spacer18 = new QSpacerItem( 20, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    AutomateDlgLayout->addItem( spacer18, 9, 0 );

    checkBoxMplex = new QCheckBox( this, "checkBoxMplex" );

    AutomateDlgLayout->addMultiCellWidget( checkBoxMplex, 2, 2, 0, 2 );

    textLabel2 = new QLabel( this, "textLabel2" );

    AutomateDlgLayout->addWidget( textLabel2, 6, 1 );

    lineEditVCD = new QLineEdit( this, "lineEditVCD" );

    AutomateDlgLayout->addWidget( lineEditVCD, 6, 2 );
    languageChange();
    resize( QSize(466, 351).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButtonCancel, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( puoushButtonExec, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( checkBoxTranscode, SIGNAL( clicked() ), this, SLOT( slotCheck() ) );
    connect( checkBoxMplex, SIGNAL( clicked() ), this, SLOT( slotCheck() ) );
    connect( checkBoxVCD, SIGNAL( clicked() ), this, SLOT( slotCheck() ) );
    connect( checkBoxCD, SIGNAL( clicked() ), this, SLOT( slotCheck() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AutomateDlg::~AutomateDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AutomateDlg::languageChange()
{
    setCaption( tr2i18n( "Automate CD generation" ) );
    checkBoxTranscode->setText( tr2i18n( "transcode" ) );
    checkBoxVCD->setText( tr2i18n( "vcdimager" ) );
    checkBoxCD->setText( tr2i18n( "cd burning" ) );
    puoushButtonExec->setText( tr2i18n( "E&xecute" ) );
    textLabel3->setText( tr2i18n( "Wildcards (\"%d\") are expected. Here you should e.g. video-%d.mpg " ) );
    checkBoxMplexDelete->setText( tr2i18n( "delete m?v and mpa files after mplexing" ) );
    checkBoxCDDelete->setText( tr2i18n( "delete cue and bin files after burning the CD." ) );
    checkBoxVCDDelete->setText( tr2i18n( "delete mpg-files after generating the VCD images" ) );
    pushButtonCancel->setText( tr2i18n( "&Cancel" ) );
    textLabel4->setText( tr2i18n( "Note: You can only check contiguous checkboxes. Gaps will be checked automatically!" ) );
    checkBoxMplex->setText( tr2i18n( "mplex" ) );
    textLabel2->setText( tr2i18n( "Filename" ) );
    QToolTip::add( textLabel2, tr2i18n( "Filename for each CD." ) );
}

void AutomateDlg::slotCheck()
{
    qWarning( "AutomateDlg::slotCheck(): Not implemented yet" );
}

#include "automatedlg.moc"
