/***************************************************************************
                          filetypeclass.h  -  description
                             -------------------
    begin                : Mit Sep 10 2003
    copyright            : (C) 2003 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILETYPECLASS_H
#define FILETYPECLASS_H

#include <qobject.h>
#include <qstring.h>
#include <qprocess.h>

/**provides the function fileType, that can be used to specify the filetype of a file.
 *@author Cornelius Klbel
 */

class FileTypeClass : public QObject  {
 public: 
  FileTypeClass();
  ~FileTypeClass();
 public:
  // These are the possible fileTypes.
  enum typeFileType { AVI, MPG };
  /** determines the filetype of the file */
  static int fileType(QString f);
};

#endif
