/***************************************************************************
                          myqlineedit.h  -  description
                             -------------------
    begin                : Die Sep 10 2002
    copyright            : (C) 2002 by Cornelius Klbel
    email                : cornelius.koelbel@gmx.de
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYQLINEEDIT_H
#define MYQLINEEDIT_H

#include <qwidget.h>
#include <qlineedit.h>

/**Reimplementiert den Verlust des Focus.
 *@author Cornelius Klbel
 */

class MyQLineEdit : public QLineEdit  {
  Q_OBJECT
    public: 
  MyQLineEdit(QWidget *parent=0, const char *name=0);
  ~MyQLineEdit();
  /** Wirft ein Signal, wenn der Focus verloren geht. */
  virtual void focusOutEvent(QFocusEvent * );
 signals: // Signals
  /** Wird geworfen, wenn der Focus verloren geht. */
  void focusLost();
};

#endif
