#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileDlg.ui'
**
** Created: Sat Jan 19 12:46:46 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileDlg.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a profileDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
profileDlg::profileDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "profileDlg" );
    profileDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "profileDlgLayout"); 

    TextLabel1 = new QLabel( this, "TextLabel1" );

    profileDlgLayout->addWidget( TextLabel1, 0, 0 );

    ComboBoxKey = new QComboBox( FALSE, this, "ComboBoxKey" );
    ComboBoxKey->setMinimumSize( QSize( 140, 0 ) );

    profileDlgLayout->addMultiCellWidget( ComboBoxKey, 0, 0, 1, 2 );

    ListViewProfile = new QListView( this, "ListViewProfile" );
    ListViewProfile->addColumn( tr2i18n( "Key" ) );
    ListViewProfile->addColumn( tr2i18n( "Value" ) );
    ListViewProfile->setLineWidth( 1 );
    ListViewProfile->setMargin( 0 );
    ListViewProfile->setMidLineWidth( 0 );
    ListViewProfile->setShowSortIndicator( TRUE );

    profileDlgLayout->addMultiCellWidget( ListViewProfile, 2, 2, 0, 5 );

    LineEditValue = new QLineEdit( this, "LineEditValue" );

    profileDlgLayout->addWidget( LineEditValue, 0, 4 );

    PushButton27 = new QPushButton( this, "PushButton27" );

    profileDlgLayout->addWidget( PushButton27, 0, 5 );

    PushButtonDelete = new QPushButton( this, "PushButtonDelete" );

    profileDlgLayout->addWidget( PushButtonDelete, 1, 5 );
    Spacer3 = new QSpacerItem( 370, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    profileDlgLayout->addMultiCell( Spacer3, 1, 1, 0, 4 );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );

    profileDlgLayout->addWidget( TextLabel1_2, 0, 3 );

    CheckBoxUseProfile = new QCheckBox( this, "CheckBoxUseProfile" );

    profileDlgLayout->addMultiCellWidget( CheckBoxUseProfile, 3, 3, 0, 2 );
    Spacer22 = new QSpacerItem( 150, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    profileDlgLayout->addItem( Spacer22, 4, 4 );

    PushButton25 = new QPushButton( this, "PushButton25" );

    profileDlgLayout->addMultiCellWidget( PushButton25, 4, 4, 0, 1 );

    PushButtonReset = new QPushButton( this, "PushButtonReset" );

    profileDlgLayout->addMultiCellWidget( PushButtonReset, 4, 4, 2, 3 );

    PushButton26 = new QPushButton( this, "PushButton26" );

    profileDlgLayout->addWidget( PushButton26, 4, 5 );
    languageChange();
    resize( QSize(478, 338).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( PushButton26, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( PushButton27, SIGNAL( clicked() ), this, SLOT( slotAdd() ) );
    connect( PushButtonDelete, SIGNAL( clicked() ), this, SLOT( slotDel() ) );
    connect( ListViewProfile, SIGNAL( selectionChanged() ), this, SLOT( slotShowValue() ) );
    connect( ComboBoxKey, SIGNAL( textChanged(const QString&) ), LineEditValue, SLOT( clear() ) );
    connect( ComboBoxKey, SIGNAL( activated(int) ), this, SLOT( slotChangeValue() ) );
    connect( PushButton25, SIGNAL( clicked() ), this, SLOT( slotOK() ) );
    connect( PushButtonReset, SIGNAL( clicked() ), this, SLOT( slotReset() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
profileDlg::~profileDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void profileDlg::languageChange()
{
    setCaption( tr2i18n( "Profile BBmpeg" ) );
    TextLabel1->setText( tr2i18n( "Keys" ) );
    ComboBoxKey->clear();
    ComboBoxKey->insertItem( tr2i18n( "fixed_vbv_delay" ) );
    ComboBoxKey->insertItem( tr2i18n( "cbr_bitrate" ) );
    ComboBoxKey->insertItem( tr2i18n( "vbv_buffer_size" ) );
    ComboBoxKey->insertItem( tr2i18n( "cbr" ) );
    ComboBoxKey->insertItem( tr2i18n( "quant_value" ) );
    ComboBoxKey->insertItem( tr2i18n( "qscale_type" ) );
    ComboBoxKey->insertItem( tr2i18n( "vbr_mux" ) );
    ComboBoxKey->insertItem( tr2i18n( "video_buf_size" ) );
    ComboBoxKey->insertItem( tr2i18n( "use_comp_bitrate" ) );
    ComboBoxKey->insertItem( tr2i18n( "max_file_size" ) );
    ListViewProfile->header()->setLabel( 0, tr2i18n( "Key" ) );
    ListViewProfile->header()->setLabel( 1, tr2i18n( "Value" ) );
    PushButton27->setText( tr2i18n( "Add" ) );
    PushButtonDelete->setText( tr2i18n( "Delete" ) );
    TextLabel1_2->setText( tr2i18n( "Value" ) );
    CheckBoxUseProfile->setText( tr2i18n( "use xsvcd.prof" ) );
    QToolTip::add( CheckBoxUseProfile, tr2i18n( "Only if this checkbox is checked, the profile will be used." ) );
    PushButton25->setText( tr2i18n( "&OK" ) );
    PushButtonReset->setText( tr2i18n( "&Default" ) );
    QToolTip::add( PushButtonReset, tr2i18n( "Resets the list to reasonable values." ) );
    PushButton26->setText( tr2i18n( "&Cancel" ) );
}

void profileDlg::slotReset()
{
    qWarning( "profileDlg::slotReset(): Not implemented yet" );
}

void profileDlg::slotAdd()
{
    qWarning( "profileDlg::slotAdd(): Not implemented yet" );
}

void profileDlg::slotChangeValue()
{
    qWarning( "profileDlg::slotChangeValue(): Not implemented yet" );
}

void profileDlg::slotDel()
{
    qWarning( "profileDlg::slotDel(): Not implemented yet" );
}

void profileDlg::slotOK()
{
    qWarning( "profileDlg::slotOK(): Not implemented yet" );
}

void profileDlg::slotShowValue()
{
    qWarning( "profileDlg::slotShowValue(): Not implemented yet" );
}

#include "profileDlg.moc"
